JUCE: AnalyticsDestination Struct Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
AnalyticsDestination Struct Referenceabstract
juce_analytics » destinations

An interface for handling analytics events collected by an Analytics object. More...

`#include <juce_AnalyticsDestination.h>`

Inheritance diagram for AnalyticsDestination:

## Classes
struct | AnalyticsEvent
| Contains information about an event to be logged. More...

## Public Member Functions
| AnalyticsDestination ()=default
| Constructor.
virtual | ~AnalyticsDestination ()=default
| Destructor.
virtual void | logEvent (const AnalyticsEvent &event)=0
| When an AnalyticsDestination is added to an Analytics object this method is called when an analytics event is triggered from the Analytics object.

## Detailed Description

An interface for handling analytics events collected by an Analytics object.

For basic analytics logging you can implement this interface and add your class to an Analytics object.

For more advanced logging you may want to subclass ThreadedAnalyticsDestination instead, which is more suitable for interacting with web servers and other time consuming destinations.

See also
  Analytics, ThreadedAnalyticsDestination

## Constructor & Destructor Documentation

## ◆ AnalyticsDestination()

AnalyticsDestination::AnalyticsDestination | ( |  | ) |
| default

Constructor.

## ◆ ~AnalyticsDestination()

virtual AnalyticsDestination::~AnalyticsDestination | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ logEvent()

virtual void AnalyticsDestination::logEvent | ( | const AnalyticsEvent & | event | ) |
| pure virtual

When an AnalyticsDestination is added to an Analytics object this method is called when an analytics event is triggered from the Analytics object.

Override this method to log the event information somewhere useful.

Implemented in ThreadedAnalyticsDestination.

The documentation for this struct was generated from the following file:

- juce_AnalyticsDestination.h